### Hierarchy

- Time

## Index

### Methods

- createDate
- getOptions
- getTime
- getUTCDate

## Methods

### createDate

- createDate(value: string | number, defaultValue?: Date): Date

- - Defined in src/misc/Time.js:40

  #### Parameters

  - ##### value: string | number

    The value

  - ##### defaultValue: Date = null

    The default value

  #### Returns Date

  the date

### getOptions

- getOptions(time: TimeProperty): { maxDate: number; minDate: number; values: number | number[] }

- - Defined in src/misc/Time.js:63

  Get options regarding the time property of a node;

  #### Parameters

  - ##### time: TimeProperty

    the time property of a node

  #### Returns { maxDate: number; minDate: number; values: number | number[] }

  {{ minDate: number, maxDate: number, values: (number[]|number) }} - Configuration for the UI components

  - ##### maxDate: number

  - ##### minDate: number

  - ##### values: number | number[]

### getTime

- getTime(date: Date, defaultValue?: number): number

- - Defined in src/misc/Time.js:49

  #### Parameters

  - ##### date: Date

    The date

  - ##### defaultValue: number = null

    The default value

  #### Returns number

  the time

### getUTCDate

- getUTCDate(localDate: Date): Date

- - Defined in src/misc/Time.js:106

  Time.prototype.getUTCDate - Get UTC date from a local date object

  #### Parameters

  - ##### localDate: Date

    loacl date object in

  #### Returns Date

  UTC date

Generated using TypeDoc